Program CstPar1;


Const
  y: Char = 'O';


(* "protected" can be redefined - even in this context *)

Procedure Ignore ( Const protected: Char );  (* passed by value *)

begin (* Ignore *)
  (*$W-*) protected:= 'y'; (*$W+*)
  (* warning: assignment of read-only location *)
end (* Ignore *);


begin
  Ignore ( y );
  write ( y );
  (*$W-*) y:= 'K'; (*$W+*)
  (* warning: typed constants misused as initial variables *)
  writeln ( y );
end.
